Page MenuHomePhabricator

Table of contents does not duplicate section heading formatting for strike-through
Closed, ResolvedPublic

Description

As an example, the TOC is confusing on this page, because the strikeout formatting is not presented:

http://en.wikipedia.org/wiki/Wikipedia:SOPA_initiative/Action#What_action_should_users_take_will_be_shown_on_the_blackout_page.3F

Perhaps the link should present the formatting somehow too?


Version: 1.18.x
Severity: normal

Details

Reference
bz33715

Event Timeline

bzimport raised the priority of this task from to Low.
bzimport set Reference to bz33715.
bzimport added a subscriber: Unknown Object (MLST).
Badon created this task.Jan 14 2012, 3:37 AM

Ah yes, thanks for finding that. I'm not in the habit of pasting links to old revisions, but for the purpose of reporting bugs, I need to remember to do that in case something gets changed. I have discovered one instance where recent revisions affect old revisions in Semantic Forms, which has me befuddled:

https://bugzilla.wikimedia.org/show_bug.cgi?id=33424#c19

pretty sure that is a different bug since SemForms isn't installed on enwiki, though.

Badon added a comment.Jan 20 2012, 5:43 AM

I know, I was just giving an example of the last time I tried to link to old id's that didn't work due to a bizarre bug. It sort of worked against me in developing the habit of linking to a specific version of a page when reporting bugs.

It actually does… but not all formatting. Only some whitelisted tags. Try this this wikitext:

__TOC__
== <s>strike-through</s> ==
== <b>bold</b> ==
== <i>italic</i> ==

(preview)

Change 312093 had a related patch set uploaded (by Bartosz Dziewoński):
Parser: Allow <s> and <strike> in table of contents

https://gerrit.wikimedia.org/r/312093

Change 312093 merged by jenkins-bot:
Parser: Allow <s> and <strike> in table of contents

https://gerrit.wikimedia.org/r/312093

matmarex renamed this task from Table of contents does not duplicate section heading formatting to Table of contents does not duplicate section heading formatting for strike-through.Sep 28 2016, 10:09 PM
matmarex closed this task as Resolved.
matmarex claimed this task.
matmarex removed a project: Patch-For-Review.
matmarex set Security to None.